Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2067 - Xsun24 fails for normal users
Summary: Xsun24 fails for normal users
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev
Version: 6.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-08 19:43 UTC by David Miller
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-09 22:09:52 UTC


Attachments (Terms of Use)

Description David Miller 1999-04-08 19:43:54 UTC
Running as root, Xsun24 with Creator graphics card
on sparc works.  Trying to run it as a normal user
fails with "no screens found"

Adding world write permissions by hand to /dev/fb0 fixed
this problem.

Comment 1 Preston Brown 1999-04-09 15:17:59 UTC
sounds like a job for pam-console?

Comment 2 Michael K. Johnson 1999-04-09 15:43:59 UTC
I love fixing bugs before I know about them...  I added
/dev/fb[0-9][0-9]*
to /etc/security/console.perms yesterday, though the new pam
package doesn't seem to have made it into the current 6.0
tree.  When Cristian cuts pam-0.66-10, this will be fixed.

Comment 3 Michael K. Johnson 1999-04-09 22:09:59 UTC
Fixed in pam-0.66-10, which is now in the tree.


Note You need to log in before you can comment on or make changes to this bug.